package ink.wgink.module.activiti.pojo.dtos.oa;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 节点字段
 * @Author: WenG
 * @Date: 2022/3/19 11:05
 * @Version: 1.0
 **/
@ApiModel
public class NodeFieldDTO {

    @ApiModelProperty(name = "nodeFieldId", value = "主键")
    private String nodeFieldId;
    @ApiModelProperty(name = "formId", value = "表单ID")
    private String formId;
    @ApiModelProperty(name = "deploymentId", value = "部署ID")
    private String deploymentId;
    @ApiModelProperty(name = "nodeIndex", value = "节点下标")
    private String nodeIndex;
    @ApiModelProperty(name = "nodeId", value = "节点ID")
    private String nodeId;
    @ApiModelProperty(name = "fieldName", value = "字段名")
    private String fieldName;
    @ApiModelProperty(name = "isVisible", value = "是否可见")
    private Integer isVisible;
    @ApiModelProperty(name = "isEditable", value = "是否可编辑")
    private Integer isEditable;
    @ApiModelProperty(name = "editHistory", value = "编辑历史")
    private String editHistory;
    @ApiModelProperty(name = "autoBackFill", value = "自动回填")
    private String autoBackFill;

    public String getNodeFieldId() {
        return nodeFieldId;
    }

    public void setNodeFieldId(String nodeFieldId) {
        this.nodeFieldId = nodeFieldId;
    }

    public String getFormId() {
        return formId;
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public String getDeploymentId() {
        return deploymentId;
    }

    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }

    public String getNodeIndex() {
        return nodeIndex == null ? "" : nodeIndex.trim();
    }

    public void setNodeIndex(String nodeIndex) {
        this.nodeIndex = nodeIndex;
    }

    public String getNodeId() {
        return nodeId == null ? "" : nodeId.trim();
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public Integer getIsVisible() {
        return isVisible;
    }

    public void setIsVisible(Integer isVisible) {
        this.isVisible = isVisible;
    }

    public Integer getIsEditable() {
        return isEditable;
    }

    public void setIsEditable(Integer isEditable) {
        this.isEditable = isEditable;
    }

    public String getEditHistory() {
        return editHistory == null ? "" : editHistory.trim();
    }

    public void setEditHistory(String editHistory) {
        this.editHistory = editHistory;
    }

    public String getAutoBackFill() {
        return autoBackFill == null ? "" : autoBackFill.trim();
    }

    public void setAutoBackFill(String autoBackFill) {
        this.autoBackFill = autoBackFill;
    }
}
